updated metadata.xml
authorMatt Thode <prometheanfire@gentoo.org>
Sun, 4 Dec 2011 19:27:46 +0000 (19:27 +0000)
committerMatt Thode <prometheanfire@gentoo.org>
Sun, 4 Dec 2011 19:27:46 +0000 (19:27 +0000)
removed 1.5.1-r3
updated initscripts (fixing ido2db to the new icinga var path)

Package-Manager: portage-2.1.10.11/cvs/Linux x86_64

net-analyzer/icinga/ChangeLog
net-analyzer/icinga/Manifest
net-analyzer/icinga/files/icinga-init.d-2
net-analyzer/icinga/files/ido2db-init.d
net-analyzer/icinga/icinga-1.5.1-r3.ebuild [deleted file]
net-analyzer/icinga/icinga-1.6.1-r1.ebuild [moved from net-analyzer/icinga/icinga-1.6.1.ebuild with 99% similarity]
net-analyzer/icinga/metadata.xml

index e2b22e045445db874ca55ecac654ea053c34f403..92a246ce6a2b1513d701b7398ed115628b4cc335 100644 (file)
@@ -1,6 +1,13 @@
 # ChangeLog for net-analyzer/icinga
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga/ChangeLog,v 1.7 2011/12/03 07:26:17 prometheanfire Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga/ChangeLog,v 1.8 2011/12/04 19:27:45 prometheanfire Exp $
+
+*icinga-1.6.1-r1 (04 Dec 2011)
+
+  04 Dec 2011; mthode <mthode@gentoo.org> -icinga-1.6.1.ebuild,
+  +icinga-1.6.1-r1.ebuild, files/icinga-init.d-2, files/ido2db-init.d:
+  fixed error in old ido2db-init and updated icinga-init to be in line with new
+  openrc
 
   03 Dec 2011; mthode <mthode@gentoo.org> -icinga-1.5.1.ebuild,
   -icinga-1.5.1-r1.ebuild:
index 1376fc6a54e1dad2b85edb2da77acf23adfdc264..7f1a50ee6ed58387254f123bb73ba5fd5f7145a8 100644 (file)
@@ -2,13 +2,11 @@ AUX fix-prestripped-binaries.patch 775 RMD160 45828e00c34df96bd808d211e26ccecbb7
 AUX icinga-apache.conf 591 RMD160 e2286c2a17869c1dc7e5229ad46ae20e8f9d65a1 SHA1 a52d44d21ea28488838de50a2151b29a341203dd SHA256 a5e7b64baa21f04d5ce6540571260f5de45382e3af93dca99ae8f57b5fb299df
 AUX icinga-conf.d 178 RMD160 3e8a497619b16ce9e33a8d6ff824b5e5cc8f9c63 SHA1 7824227018db79beb7984cdedda7345fe54f70aa SHA256 68dde656424fc57e66babceb3c6623a235fac8bf1f9cd885138e31878db740db
 AUX icinga-init.d 1207 RMD160 fe0f17d9247da24208281077b6cb46089dc9f22f SHA1 58c8fc60da8f4fb5a7d29a8be83948e11a8719e4 SHA256 d9014a1ce527282e5a404e602b3f08e0a4b842e02bd2fcdd8fffb8e67922557d
-AUX icinga-init.d-2 972 RMD160 4ca4966313542b7daf8e5e234fe09ee39055f275 SHA1 3c4073287261f1b7db5d8d658544e6b49c5f938a SHA256 affec920a70a5209c9c5f2208847844e409df11041cd8a2fd67d833ae14ececa
+AUX icinga-init.d-2 999 RMD160 c217fe01d49a4e29b22fd1c2a9125918fd1ccc69 SHA1 f791fa9a1b70b4593afd84adaafeb6bcffcb7931 SHA256 f94dc546ca1a45f67b3d79aff39f937a5fb0b6ca19de3110f30e09d7a0c6bf08
 AUX icinga-lighty.conf 465 RMD160 34de76ad07f95e2282ae3e192b35cd9310ef2b4e SHA1 0d74cc2936327121f07b61fb1a348ce66035bfbb SHA256 f4059bc54959fb2544f23c2fc6a86f0ab2467025ce1f468317a0079b55116b44
 AUX ido2db-conf.d 35 RMD160 a2bb1738720a56285da529fb18eeb60739ac817b SHA1 57ba29aec3f80db9577da4aca34d228487dd12c1 SHA256 6cbdf0eb7070121bd466c221d73cf6ca05a4af5caa1d4abedf62828edd1b1372
-AUX ido2db-init.d 924 RMD160 b4756574f38fed0fc85ecfae1bf353a4811fa4e2 SHA1 f7bf09a34fe55dd49c3381ca11781a643e4d1ca0 SHA256 88913ba8d8d2824e52ea26d93bdb7587d6ab53020546a6a98c9e9d337cc17985
-DIST icinga-1.5.1.tar.gz 16518659 RMD160 972d1e4dd49fdddf32970868bd16964c7e3cd87d SHA1 61bd47535e9f49e63e0ee1ef2bb56d62e6893418 SHA256 b2cc23ab8b96e9409ce3e7ed4a0e1aabea7f9b4e9d521f5ed23a99ea1c9ec37b
+AUX ido2db-init.d 990 RMD160 4eef38e9266754653a7cc5c2f00e294a060941bd SHA1 fc444a4845bf8c6a5c0378f397583b11ce4bd5f1 SHA256 b59b82578929c54ecf8555ffd28c1a13f4b7e856240f8b1c77c9ceca06839252
 DIST icinga-1.6.1.tar.gz 12880538 RMD160 f755d1499c9794fb9a60e0e35dbc091758e72dc1 SHA1 b14cc8be0a8b49ccd41018223d34600db7bc4f3d SHA256 80b980272dd45bcd14b79d98b1125d6aa4184c20644863f71d9f3e00fbced89b
-EBUILD icinga-1.5.1-r3.ebuild 6539 RMD160 08c91733660dd9b6caedf430a5d6ce9013381d6c SHA1 aabc3626decf788d5443e59cb24d673ea421e43e SHA256 fe983cd551e3740bc1bbde70cfd8e5ce1c91d2a9f5f35adf74f7462843b8359b
-EBUILD icinga-1.6.1.ebuild 6963 RMD160 a18fc79282f187a14f7eb40caee44bbf7f02c601 SHA1 a9c071619cfb8e7990aa203881ccd4d3fb0d4f5e SHA256 35437f349927e334cab3a824072dd93edbf6721ebd48091d4c38c613e92d93d3
-MISC ChangeLog 1720 RMD160 dbac701cdc6f29df956b540220015f7380266a82 SHA1 987b3eef82ac62eabd53de52eb73f4ad953cf97e SHA256 63889474f3c745b59a20fd38745b777cf8a5bcbc3a98c71e1026e73671085896
-MISC metadata.xml 614 RMD160 bd86f9fb8e1911deaedaf6e7983e9de3a9e749d4 SHA1 b0ab4641480b5342c67a00edb4bc0bdc1745ca81 SHA256 3814e6b4e6f2d2b42cd82f090136270e834057a170435670c156435e9188ec2d
+EBUILD icinga-1.6.1-r1.ebuild 6966 RMD160 c2483b2291ba02f323c8f3fbc43f1375b11600d1 SHA1 f95ec516e6b6ca377e3c25afafe477c99e700d1e SHA256 d8d51b3b8517587f3e686e985b6831e317cc837e0e688ca2ff56e59f0b784c1c
+MISC ChangeLog 1977 RMD160 77e0fd626fe0a29ca4993354cf2f3e37aedd3b4b SHA1 1674693915c71854150d7a75ffc9cfe1df59866b SHA256 34ac7252bd2eccd6c994617f1f7fbf60f43a5007a38843d2df25e1dedf607d50
+MISC metadata.xml 556 RMD160 c1d1f8af0e1c04b4d8f6dd56778b668a78a6ea71 SHA1 792f55c63007e3618d0ce38c636e6758d0fca123 SHA256 25b529090c12f48532b45242e759296861c4a9e5c1111648f382f6a5326075ab
index 062a33aadb7dd5bd2376703af9bad5e9dc540295..8f05cc7dcdce5009c960004498c882ee3c82dc70 100755 (executable)
@@ -1,11 +1,11 @@
 #!/sbin/runscript
 
-opts="${opts} reload checkconfig"
+extra_commands="${extra_commands} reload checkconfig"
 
 depend() {
        need net
        use dns logger firewall
-       after mysql postgresql
+       after mysql postgresql ido2db
 }
 
 reload()
index 75051abbf9342fa79b3fd7f313cff2bc3cfddb3c..302a24881959db208fffb7f323f75d785065be32 100644 (file)
@@ -1,17 +1,18 @@
 #!/sbin/runscript
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga/files/ido2db-init.d,v 1.1 2011/11/15 00:14:29 prometheanfire Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga/files/ido2db-init.d,v 1.2 2011/12/04 19:27:46 prometheanfire Exp $
 
 IDO2DBBIN="/usr/sbin/ido2db"
-SOCKET="/var/icinga/ido.sock"
+IDO2DBSOCKET="/var/lib/icinga/ido.sock"
+IDO2DBLOCK="/var/lib/icinga/ido2db.lock"
 
 function check() {
-       if [ -S "${SOCKET}" ] ; then
-               ewarn "Strange, the socket file already exist in \"${SOCKET}\""
+       if [ -S "${IDO2DBSOCKET}" ] ; then
+               ewarn "Strange, the socket file already exist in \"${IDO2DBSOCKET}\""
                ewarn "it will be removed now and re-created by ido2db"
                ewarn "BUT please make your checks."
-               rm -f "${SOCKET}"
+               rm -f "${IDO2DBSOCKET}"
        fi
 }
 
@@ -24,12 +25,12 @@ depend() {
 start() {
        check
        ebegin "Starting ido2db"
-       start-stop-daemon --quiet --start --pidfile /var/icinga/ido2db.lock --startas ${IDO2DBBIN} -- -c ${IDO2DBCFG}
+       start-stop-daemon --start --exec ${IDO2DBBIN} --pidfile ${IDO2DBLOCK} --name ${IDO2DBBIN} -- -c ${IDO2DBCFG}
        eend $?
 }
 
 stop() {
        ebegin "Stopping ido2db"
-       start-stop-daemon --quiet --stop --pidfile /var/icinga/ido2db.lock --name /usr/sbin/ido2db
+       start-stop-daemon --stop --exec ${IDO2DBBIN} --pidfile ${IDO2DBLOCK} --name ${IDO2DBBIN}
        eend $?
 }
diff --git a/net-analyzer/icinga/icinga-1.5.1-r3.ebuild b/net-analyzer/icinga/icinga-1.5.1-r3.ebuild
deleted file mode 100644 (file)
index 91c54b4..0000000
+++ /dev/null
@@ -1,225 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga/icinga-1.5.1-r3.ebuild,v 1.2 2011/11/22 21:06:50 prometheanfire Exp $
-
-EAPI=2
-
-inherit depend.apache eutils multilib toolchain-funcs
-
-DESCRIPTION="Nagios Fork - Check daemon, CGIs, docs, IDOutils"
-HOMEPAGE="http://www.icinga.org/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="+apache2 api debug +idoutils lighttpd +mysql perl plugins postgres ssl +vim-syntax +web"
-DEPEND="idoutils? ( dev-db/libdbi-drivers[mysql?,postgres?] )
-       perl? ( dev-lang/perl )
-       virtual/mailx
-       web? (
-               media-libs/gd[jpeg,png]
-               lighttpd? ( www-servers/lighttpd dev-lang/php[cgi] )
-               apache2? ( || ( dev-lang/php[apache2] dev-lang/php[cgi] ) )
-       )
-       !net-analyzer/nagios-core"
-RDEPEND="${DEPEND}
-       plugins? ( net-analyzer/nagios-plugins )"
-
-want_apache2
-
-pkg_setup() {
-       depend.apache_pkg_setup
-       enewgroup icinga
-       enewgroup nagios
-       enewuser icinga -1 -1 /var/spool/icinga "icinga,nagios"
-       if use web ; then
-               elog "This does not include cgis that are perl-dependent"
-               elog "Currently traceroute.cgi is perl-dependent"
-               elog "Note that the user your webserver is running as needs"
-               elog "read-access to /etc/icinga."
-               elog
-               if use apache2 || use lighttpd ; then
-                       elog "There are several possible solutions to accomplish this,"
-                       elog "choose the one you are most comfortable with:"
-                       elog
-                       if use apache2 ; then
-                               elog "  usermod -G icinga apache"
-                               elog "or"
-                               elog "  chown icinga:apache /etc/icinga"
-                               elog
-                               elog "Also edit /etc/conf.d/apache2 and add \"-D ICINGA\""
-                       elif use lighttpd ; then
-                               elog "  usermod -G icinga lighttpd "
-                               elog "or"
-                               elog "  chown icinga:lighttpd /etc/icinga"
-                               elog "Also edit /etc/lighttpd/lighttpd.conf and add 'include \"lighttpd_icinga.conf\"'"
-                       fi
-                       elog
-                       elog "That will make icinga's web front end visable via"
-                       elog "http://localhost/icinga/"
-                       elog
-               else
-                       elog "IMPORTANT: Do not forget to add the user your webserver"
-                       elog "is running as to the icinga group!"
-               fi
-
-       else
-               ewarn "Please note that you have installed Icinga without web interface."
-               ewarn "Please don't file any bugs about having no web interface when you do this."
-               ewarn "Thank you!"
-       fi
-
-}
-
-src_prepare() {
-       epatch "${FILESDIR}/fix-prestripped-binaries.patch"
-}
-
-src_configure() {
-       local myconf
-       local myconf2
-
-       myconf="$(use_enable perl embedded-perl)
-       $(use_with perl perlcache)
-       $(use_enable idoutils)
-       $(use_enable ssl)
-       $(use_enable debug DEBUG0)
-       $(use_enable debug DEBUG1)
-       $(use_enable debug DEBUG2)
-       $(use_enable debug DEBUG3)
-       $(use_enable debug DEBUG4)
-       $(use_enable debug DEBUG5)
-       --disable-statuswrl
-       --with-cgiurl=/icinga/cgi-bin
-       --with-log-dir=/var/log/icinga"
-
-       myconf2="--bindir=/usr/sbin
-       --sbindir=/usr/$(get_libdir)/icinga/cgi-bin
-       --datarootdir=/usr/share/icinga/htdocs
-       --localstatedir=/var/lib/icinga
-       --sysconfdir=/etc/icinga"
-
-       if use plugins ; then
-               myconf2+=" --libexecdir=/usr/$(get_libdir)/nagios/plugins"
-       else
-               myconf2+=" --libexecdir=/usr/$(get_libdir)/icinga/plugins"
-       fi
-
-       if use !apache2 && use !lighttpd ; then
-               myconf2+=" --with-command-group=icinga"
-       else
-               if use apache2 ; then
-                       myconf+=" --with-httpd-conf=/etc/apache2/conf.d"
-                       myconf2+=" --with-command-group=apache"
-               elif use lighttpd ; then
-                       myconf2+=" --with-command-group=lighttpd"
-               fi
-       fi
-
-       econf ${myconf} ${myconf2}
-       if use api ; then
-               cd module/icinga-api || die
-               econf ${myconf2}
-       fi
-}
-
-src_compile() {
-       tc-export CC
-
-       emake icinga || die "make failed"
-
-       if use web ; then
-               emake DESTDIR="${D}" cgis || die
-       fi
-
-       if use idoutils ; then
-               emake DESTDIR="${D}" idoutils || die
-       fi
-}
-
-src_install() {
-       dodoc Changelog README UPGRADING || die
-
-       if ! use web ; then
-               sed -i -e '/cd $(SRC_\(CGI\|HTM\))/d' Makefile || die
-       fi
-
-       sed -i -e 's/^contactgroups$//g' Makefile || die
-
-       emake DESTDIR="${D}" install{,-config,-commandmode} || die
-
-       sed -i -e 's/var\/lib\/icinga\/icinga.lock/var\/run\/icinga\/icinga.lock/g' "${D}"/etc/icinga/icinga.cfg || die
-       sed -i -e 's/var\/icinga\/icinga.tmp/tmp\/icinga\/icinga.tmp/g' "${D}"/etc/icinga/icinga.cfg || die
-
-       if use idoutils ; then
-                emake DESTDIR="${D}" install-idoutils || die
-       fi
-       if use api ; then
-                emake DESTDIR="${D}" install-api || die
-       fi
-
-       newinitd "${FILESDIR}"/icinga-init.d-2 icinga || die
-       newconfd "${FILESDIR}"/icinga-conf.d icinga || die
-       if use idoutils ; then
-               newinitd "${FILESDIR}"/ido2db-init.d ido2db || die
-               newconfd "${FILESDIR}"/ido2db-conf.d ido2db || die
-               insinto /usr/share/icinga/contrib/db
-               doins -r module/idoutils/db/* || die
-       fi
-       # Apache Module
-       if use web ; then
-               if use apache2 ; then
-                       insinto "${APACHE_MODULES_CONFDIR}"
-                       newins "${FILESDIR}"/icinga-apache.conf 99_icinga.conf || die
-               elif use lighttpd ; then
-                       insinto /etc/lighttpd
-                       newins "${FILESDIR}"/icinga-lighty.conf lighttpd_icinga.conf || die
-               else
-                       ewarn "${CATEGORY}/${PF} only supports Apache-2.x or Lighttpd webserver"
-                       ewarn "out-of-the-box. Since you are not using one of them, you"
-                       ewarn "have to configure your webserver accordingly yourself."
-               fi
-       fi
-
-       fowners -R root:root /usr/$(get_libdir)/icinga || die
-       cd "${D}" || die
-       find usr/$(get_libdir)/icinga -type d -exec fperms 755 {} +
-       find usr/$(get_libdir)/icinga/cgi-bin -type f -exec fperms 755 {} +
-       dodir /var/run/icinga || die
-       fowners icinga:icinga /var/run/icinga || die
-
-       keepdir /etc/icinga
-       keepdir /var/lib/icinga
-       keepdir /var/lib/icinga/archives
-       keepdir /var/lib/icinga/rw
-       keepdir /var/lib/icinga/spool/checkresults
-
-       if use apache2 ; then
-               webserver=apache
-       elif use lighttpd ; then
-               webserver=lighttpd
-       else
-               webserver=icinga
-       fi
-
-       fowners icinga:icinga /var/lib/icinga || die "Failed chown of /var/lib/icinga"
-       fowners -R icinga:${webserver} /var/lib/icinga/rw || die "Failed chown of /var/lib/icinga/rw"
-
-       fperms 6755 /var/lib/icinga/rw || die "Failed Chmod of ${D}/var/lib/icinga/rw"
-       fperms 0750 /etc/icinga || die "Failed chmod of ${D}/etc/icinga"
-}
-
-pkg_postinst() {
-       elog "If you want icinga to start at boot time"
-       elog "remember to execute:"
-       elog "  rc-update add icinga default"
-       elog
-       elog "If your kernel has /proc protection, icinga"
-       elog "will not be happy as it relies on accessing the proc"
-       elog "filesystem. You can fix this by adding icinga into"
-       elog "the group wheel, but this is not recomended."
-       elog
-       elog "/var/icinga was moved to /var/lib/icinga"
-       elog "please move the file if this was an upgrade"
-}
similarity index 99%
rename from net-analyzer/icinga/icinga-1.6.1.ebuild
rename to net-analyzer/icinga/icinga-1.6.1-r1.ebuild
index 88a675b0ba81475eeffacc19b6ca217f1ef57f5f..016e935598f1f028d163ecb3f753c1c7d81d362b 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga/icinga-1.6.1.ebuild,v 1.1 2011/12/02 22:09:06 prometheanfire Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga/icinga-1.6.1-r1.ebuild,v 1.1 2011/12/04 19:27:45 prometheanfire Exp $
 
 EAPI=2
 
index bc77e2a88d4179d93c1e26280c607274bb945079..3ab11f8551fb8a07ac0ba6d17d82987bc5e936b8 100644 (file)
@@ -4,7 +4,6 @@
        <herd>no-herd</herd>
        <longdescription lang="en">A rebuild of nagios from the ground up</longdescription>
        <use>
-               <flag name="api">Adds support for the icinga API</flag>
                <flag name="idoutils">Adds DB support</flag>
                <flag name="lighttpd">Adds Lighttpd support</flag>
                <flag name="plugins">Adds support for nagios plugins</flag>